import _extends from "@babel/runtime/helpers/extends";
/**
 * @jsxRuntime classic
 * @jsx jsx
 */
// eslint-disable-next-line @atlaskit/ui-styling-standard/use-compiled, @typescript-eslint/consistent-type-imports -- Ignored via go/DSP-18766; jsx required at runtime for @jsxRuntime classic
import { css, jsx } from '@emotion/react';
import Button from '@atlaskit/button';
const buttonStyles = css({
  display: 'flex',
  background: "var(--ds-background-neutral, #0515240F)",
  color: "var(--ds-icon, #292A2E)",
  '&:hover': {
    background: "var(--ds-background-neutral-hovered, #0B120E24)"
  },
  '&:active': {
    background: "var(--ds-background-neutral-pressed, #080F214A)"
  },
  width: '1.375rem',
  height: '1.25rem'
});
export const StyledButton = ({
  innerRef,
  ...props
}) => {
  return jsx(Button
  // Ignored via go/ees005
  // eslint-disable-next-line react/jsx-props-no-spreading
  , _extends({}, props, {
    ref: innerRef
    // eslint-disable-next-line @atlaskit/design-system/no-unsafe-style-overrides
    ,
    css: buttonStyles
  }));
};